## New Function
`sanitize_powerbi_report`: A comprehensive Power BI report sanitization utility designed to clean up and optimize Power BI reports. 

### Cleanup Actions
- Remove unused measures
- Clean up unused bookmarks
- Remove unused custom visuals
- Disable "Show items with no data"
- Hide tooltip and drillthrough pages
- Set the first page as active
- Remove empty pages
- Remove hidden visuals never shown
- Clean up invalid bookmarks

### Key Benefits
- Reduces report file size
- Improves report performance
- Cleans up unused and hidden elements
- Provides granular control over report cleanup

### Usage
Refer to [example_usage.ipynb](examples/example_usage.ipynb) for detailed usage instructions and examples of the report sanitization function.